"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DynamoDBService = exports.makeDynamoDBService = void 0;
/**
 * @since 1.0.0
 */
const client_dynamodb_1 = require("@aws-sdk/client-dynamodb");
const commons_1 = require("@effect-aws/commons");
const effect_1 = require("effect");
const Instance = __importStar(require("./DynamoDBClientInstance.js"));
const DynamoDBServiceConfig = __importStar(require("./DynamoDBServiceConfig.js"));
const Errors_js_1 = require("./Errors.js");
const commands = {
    BatchExecuteStatementCommand: client_dynamodb_1.BatchExecuteStatementCommand,
    BatchGetItemCommand: client_dynamodb_1.BatchGetItemCommand,
    BatchWriteItemCommand: client_dynamodb_1.BatchWriteItemCommand,
    CreateBackupCommand: client_dynamodb_1.CreateBackupCommand,
    CreateGlobalTableCommand: client_dynamodb_1.CreateGlobalTableCommand,
    CreateTableCommand: client_dynamodb_1.CreateTableCommand,
    DeleteBackupCommand: client_dynamodb_1.DeleteBackupCommand,
    DeleteItemCommand: client_dynamodb_1.DeleteItemCommand,
    DeleteResourcePolicyCommand: client_dynamodb_1.DeleteResourcePolicyCommand,
    DeleteTableCommand: client_dynamodb_1.DeleteTableCommand,
    DescribeBackupCommand: client_dynamodb_1.DescribeBackupCommand,
    DescribeContinuousBackupsCommand: client_dynamodb_1.DescribeContinuousBackupsCommand,
    DescribeContributorInsightsCommand: client_dynamodb_1.DescribeContributorInsightsCommand,
    DescribeEndpointsCommand: client_dynamodb_1.DescribeEndpointsCommand,
    DescribeExportCommand: client_dynamodb_1.DescribeExportCommand,
    DescribeGlobalTableCommand: client_dynamodb_1.DescribeGlobalTableCommand,
    DescribeGlobalTableSettingsCommand: client_dynamodb_1.DescribeGlobalTableSettingsCommand,
    DescribeImportCommand: client_dynamodb_1.DescribeImportCommand,
    DescribeKinesisStreamingDestinationCommand: client_dynamodb_1.DescribeKinesisStreamingDestinationCommand,
    DescribeLimitsCommand: client_dynamodb_1.DescribeLimitsCommand,
    DescribeTableCommand: client_dynamodb_1.DescribeTableCommand,
    DescribeTableReplicaAutoScalingCommand: client_dynamodb_1.DescribeTableReplicaAutoScalingCommand,
    DescribeTimeToLiveCommand: client_dynamodb_1.DescribeTimeToLiveCommand,
    DisableKinesisStreamingDestinationCommand: client_dynamodb_1.DisableKinesisStreamingDestinationCommand,
    EnableKinesisStreamingDestinationCommand: client_dynamodb_1.EnableKinesisStreamingDestinationCommand,
    ExecuteStatementCommand: client_dynamodb_1.ExecuteStatementCommand,
    ExecuteTransactionCommand: client_dynamodb_1.ExecuteTransactionCommand,
    ExportTableToPointInTimeCommand: client_dynamodb_1.ExportTableToPointInTimeCommand,
    GetItemCommand: client_dynamodb_1.GetItemCommand,
    GetResourcePolicyCommand: client_dynamodb_1.GetResourcePolicyCommand,
    ImportTableCommand: client_dynamodb_1.ImportTableCommand,
    ListBackupsCommand: client_dynamodb_1.ListBackupsCommand,
    ListContributorInsightsCommand: client_dynamodb_1.ListContributorInsightsCommand,
    ListExportsCommand: client_dynamodb_1.ListExportsCommand,
    ListGlobalTablesCommand: client_dynamodb_1.ListGlobalTablesCommand,
    ListImportsCommand: client_dynamodb_1.ListImportsCommand,
    ListTablesCommand: client_dynamodb_1.ListTablesCommand,
    ListTagsOfResourceCommand: client_dynamodb_1.ListTagsOfResourceCommand,
    PutItemCommand: client_dynamodb_1.PutItemCommand,
    PutResourcePolicyCommand: client_dynamodb_1.PutResourcePolicyCommand,
    QueryCommand: client_dynamodb_1.QueryCommand,
    RestoreTableFromBackupCommand: client_dynamodb_1.RestoreTableFromBackupCommand,
    RestoreTableToPointInTimeCommand: client_dynamodb_1.RestoreTableToPointInTimeCommand,
    ScanCommand: client_dynamodb_1.ScanCommand,
    TagResourceCommand: client_dynamodb_1.TagResourceCommand,
    TransactGetItemsCommand: client_dynamodb_1.TransactGetItemsCommand,
    TransactWriteItemsCommand: client_dynamodb_1.TransactWriteItemsCommand,
    UntagResourceCommand: client_dynamodb_1.UntagResourceCommand,
    UpdateContinuousBackupsCommand: client_dynamodb_1.UpdateContinuousBackupsCommand,
    UpdateContributorInsightsCommand: client_dynamodb_1.UpdateContributorInsightsCommand,
    UpdateGlobalTableCommand: client_dynamodb_1.UpdateGlobalTableCommand,
    UpdateGlobalTableSettingsCommand: client_dynamodb_1.UpdateGlobalTableSettingsCommand,
    UpdateItemCommand: client_dynamodb_1.UpdateItemCommand,
    UpdateKinesisStreamingDestinationCommand: client_dynamodb_1.UpdateKinesisStreamingDestinationCommand,
    UpdateTableCommand: client_dynamodb_1.UpdateTableCommand,
    UpdateTableReplicaAutoScalingCommand: client_dynamodb_1.UpdateTableReplicaAutoScalingCommand,
    UpdateTimeToLiveCommand: client_dynamodb_1.UpdateTimeToLiveCommand,
};
/**
 * @since 1.0.0
 * @category constructors
 */
exports.makeDynamoDBService = effect_1.Effect.gen(function* () {
    const client = yield* Instance.DynamoDBClientInstance;
    return commons_1.Service.fromClientAndCommands(client, commands, {
        errorTags: Errors_js_1.AllServiceErrors,
        resolveClientConfig: DynamoDBServiceConfig.toDynamoDBClientConfig,
    });
});
/**
 * @since 1.0.0
 * @category models
 */
class DynamoDBService extends effect_1.Effect.Tag("@effect-aws/client-dynamodb/DynamoDBService")() {
    static defaultLayer = effect_1.Layer.effect(this, exports.makeDynamoDBService).pipe(effect_1.Layer.provide(Instance.layer));
    static layer = (config) => effect_1.Layer.effect(this, exports.makeDynamoDBService).pipe(effect_1.Layer.provide(Instance.layer), effect_1.Layer.provide(DynamoDBServiceConfig.setDynamoDBServiceConfig(config)));
    static baseLayer = (evaluate) => effect_1.Layer.effect(this, exports.makeDynamoDBService).pipe(effect_1.Layer.provide(effect_1.Layer.effect(Instance.DynamoDBClientInstance, effect_1.Effect.map(DynamoDBServiceConfig.toDynamoDBClientConfig, evaluate))));
}
exports.DynamoDBService = DynamoDBService;
//# sourceMappingURL=DynamoDBService.js.map